

var DEF_SIDE_WINDOW=false;
var DEF_4K=false;
var DEF_CHANGE_SCREEN=false;
var DEF_SIDE_TV=false;
var DEF_TOOLTIP=false;
var DEF_TTS=false;
var DEF_ASR=false;
var DEF_RECCOMEND=false;
var DEF_MULTI_USER=false;
var DEF_DISABLE_FLASH=false;
(function(product){
if(product.indexOf("GBL13PRO4TV")!=-1
&&product.indexOf("_4K")==-1){
DEF_SIDE_WINDOW=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_CHANGE_SCREEN=true;DEF_TOOLTIP=true;}
else if(product.indexOf("GBL13PRO4TV")!=-1
&&product.indexOf("_4K")!=-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_4K=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;}
else if(product.indexOf("GBL14SLD8A")!=-1){
DEF_SIDE_WINDOW=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;}
else if(product.indexOf("GBL14MT5591")!=-1){
DEF_SIDE_WINDOW=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_RECCOMEND=true;}
else if(product.indexOf("GBL14PRO4TV")!=-1
&&product.indexOf("_4K")==-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_MULTI_USER=true;
DEF_RECCOMEND=true;}
else if(product.indexOf("GBL14PRO4TV")!=-1
&&product.indexOf("_4K")!=-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_4K=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_MULTI_USER=true;
DEF_RECCOMEND=true;}
else if(product.indexOf("GBL14LD6")!=-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_MULTI_USER=true;
DEF_RECCOMEND=true;}
else if(product.indexOf("GBL14PRO5")!=-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_4K=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_MULTI_USER=true;
DEF_RECCOMEND=true;}
else if(product.indexOf("GBL15SLD8A")!=-1){
DEF_SIDE_WINDOW=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
if(product.indexOf("EU")!=-1||product.indexOf("US")!=-1){
DEF_DISABLE_FLASH=true;}
}
else if(product.indexOf("GBL15LD6")!=-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_RECCOMEND=true;
if(product.indexOf("EU")!=-1||product.indexOf("US")!=-1){
DEF_DISABLE_FLASH=true;}
}
else if(product.indexOf("GBL15PRO5")!=-1){
DEF_SIDE_WINDOW=true;
DEF_SIDE_TV=true;
DEF_4K=true;
DEF_CHANGE_SCREEN=true;
DEF_TTS=true;
DEF_ASR=true;
DEF_FULLBROWSER=true;
DEF_TOOLTIP=true;
DEF_RECCOMEND=true;
if(product.indexOf("EU")!=-1||product.indexOf("US")!=-1){
DEF_DISABLE_FLASH=true;}
}
})(system.product);
if(!system.user_profile||!system.user_profile.supported){
DEF_MULTI_USER=false;}else{
try{
var uprofile={};
var _uprofile=system.user_profile.get({mhc:{id:null}});
if(_uprofile&&_uprofile.mhc){
uprofile=_uprofile;
if(uprofile&&uprofile.mhc&&(typeof uprofile.mhc.multiuser_supported=="boolean")){
DEF_MULTI_USER=uprofile.mhc.multiuser_supported;}
}
}catch(e){
DEF_MULTI_USER=false;}
}
provide("configure");
